<?php



/**
 * Klasse Analog
 * Zeigt alle Einträge von der Tabelle analog der Datenbank
 */

class Gsm {

	/*
	 * Funktion action
	 * wird aufgerufen um einen neuen Eintrag in der Datenbank zu schreiben 
	 * Popup Fenster wird geöfnet
	 */
	function action($args) {

		// args
		$m = $_GET['m'];
		$a = $_GET['a'];
		
		if ($a = 'add') {
			echo "<script type=\"text/javascript\">new_window(\"./misc/gsm_popup.php\");</script>";
		}
	}

	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display($args) {

		include "./includes/functions.php";
		//Das Objekt funktions wird erzeugt um später die Navigationsleiste zu erzeugen.
		$functions = new functions();

		// args
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];
		$order = $_GET['order'];
		$sort = $_GET['sort'];

		$start = $start == '' ? 0 : $start;
		$span = 15;
		$order = $order;
		$sort = $sort;
		
		include('./includes/header.php');
		$gsm_table = $this->dynamic_table();
		// build page content
		$ret .= "      
			<script>
			function del(table,option,opt){
				conf = confirm('".PSTN_DELETE_MESS1_DIS." '+option+'? ".PSTN_DELETE_MESS2_DIS."');
				if (conf==false)
					return false;
				else
					window.location='./misc/delete.php?gr='+option+'&table='+table+'&opt='+opt;
			}
			</script>
		    <form class='beroari_form' name='gsm' action='' method='GET'>
			<input type=hidden name=m value=" . $m . ">
			<input type=hidden name=f value='action'>
			<input type=hidden name=q value=" . $q . ">
			<input type=hidden name=start value=" . $start . ">
			<input type=hidden name=span value=" . $span . ">
			<input type=hidden name=order value=" . $order . ">
			<input type=hidden name=sort value=" . $sort . ">
			<input type=hidden name=a value='add'>
			<br>
			" . $gsm_table . "
			<br>
			<input name='submit' type='submit' value='".BUTTON_ADD."' onmouseover=\"Tip('" . MOD_GSM_ADD . "')\" onmouseout='UnTip()'>
			</form>";


		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}

	/*
	 * Funktion dynamic_table
	 */
	function dynamic_table() {
		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		require_once("./includes/lang.php");

		//Das Header der Tabelle sind die Spaltennamen von dialplan
		$cols .= "<th>".PSTN_GROUP_DIS."</th>";
		$cols .= "<th>".PSTN_PORTS_DIS."</th>";
		/*Die Einträge werden von der Tabelle analog gelesen, formatiert und in einer
		  Tabelle geschrieben, zusätzlich werden 2 Knöpfe eingebaut: modify und delete*/
		$query = $ba->select('SELECT DISTINCT gr FROM gsm WHERE gr!="NULL"');
		$rows = '';
		while ($entry = $ba->fetch_array($query)) {
			$query_port = $ba->select('SELECT port FROM gsm WHERE gr="'.$entry['gr'].'" ORDER BY port asc');
			$ports="";
			while ($entryp = $ba->fetch_array($query_port)) {
				if($ports!=""){
					$ports.=",".$entryp['port'];
				}else{
					$ports.=$entryp['port'];
				}
			}
			$rows.="<tr><td>".$entry['gr']."</td><td>".$ports."</td>";
			$rows .= "<td class='buttons' bgcolor='#DACECE'>
					<a class='popup_download' onclick=\"javascript:new_window('./misc/gsm_popup.php?gr=" .
				$entry['gr'] . "');\">
					<img src='./includes/images/modify.png' onmouseover=\"Tip('" . MOD_GSM_MODIFY . "')\" onmouseout='UnTip()'>
				</a>&nbsp;
				<a class='popup_download' onclick=\"del('gsm','".$entry['gr']."','".$_GET['m']."');\">
            	    <img src='./includes/images/delete.png' onmouseover=\"Tip('" .
					MOD_GSM_DELETE . "')\" onmouseout='UnTip()'>
				</a>
			</td></tr>";
		}


		$table = "<table class='contenttoc' id='table'><tr>" . $cols . "<th></th></tr>" . $rows . "</table>";
		//Rückgabe: Erzeugte Tabelle mit den Einträgen der Tabelle analog der Datenbank
		return $table;
	}

}
?>
